Bug 231215 - multimedia/ffmpeg: please enable XCB option by default
Summary: multimedia/ffmpeg: please enable XCB option by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-07 09:54 UTC by vermaden
Modified: 2018-10-28 17:52 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2018-09-07 09:54:20 UTC
Its really useful to record screen with ffmpeg -f x11grab and XCB option allows this.

Thanks.
Comment 1 commit-hook freebsd_committer 2018-10-14 07:00:32 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct 14 07:00:00 UTC 2018
New revision: 482030
URL: https://svnweb.freebsd.org/changeset/ports/482030

Log:
  Enable XCB option by default

  Rationale:
  - XCB offers a comfortable screen capturing function via
    ffmpeg -f x11grab
  - In the default package libxcb is installed as a dependency
    of libX11 anyway, hence no need to disable it for ffmpeg
    specifically

  PR:		231215
  Reported by:	vermaden@interia.pl

Changes:
  head/multimedia/ffmpeg/Makefile
Comment 2 vermaden 2018-10-14 08:48:15 UTC
Thank you very much.
Comment 3 commit-hook freebsd_committer 2018-10-28 17:52:51 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct 28 17:52:04 UTC 2018
New revision: 483320
URL: https://svnweb.freebsd.org/changeset/ports/483320

Log:
  MFH: r482030 r482658 r482928 r483316

  Enable XCB option by default

  Rationale:
  - XCB offers a comfortable screen capturing function via
    ffmpeg -f x11grab
  - In the default package libxcb is installed as a dependency
    of libX11 anyway, hence no need to disable it for ffmpeg
    specifically

  PR:		231215
  Reported by:	vermaden@interia.pl

  multimedia/ffmpeg: unbreak ALSA=off after r468844

  https://ffmpeg.org/pipermail/ffmpeg-devel/2018-September/234516.html

  PR:		232498

  multimedia/ffmpeg: Do not set DATADIR twice

  PR:		232637

  Unbreak build on 12-BETA after OpenSSL 1.1.1 import into base

  PR:		232707
  Submitted by:	fluffy

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/multimedia/ffmpeg/Makefile
  branches/2018Q4/multimedia/ffmpeg/files/patch-configure